POST /api/fleet/agent_policies/outputs

Spaces method and path for this operation:

post /s/{space_id}/api/fleet/agent_policies/outputs

Refer to Spaces for more information.

Get a list of outputs associated with agent policies.

[Required authorization] Route required privileges: fleet-agent-policies-read AND fleet-settings-read.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • ids array[string] Required

    list of package policy ids

    Not more than 1000 elements.

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • items array[object] Required

      Not more than 10000 elements.

      Hide items attributes Show items attributes object
      • agentPolicyId string
      • data object Required

        Additional properties are NOT allowed.

        Hide data attributes Show data attributes object
        • integrations array[object]

          Not more than 1000 elements.

          Hide integrations attributes Show integrations attributes object
          • id string
          • integrationPolicyName string
          • name string
          • pkgName string
        • output object Required

          Additional properties are NOT allowed.

          Hide output attributes Show output attributes object
          • id string Required
          • name string Required
      • monitoring object Required

        Additional properties are NOT allowed.

        Hide monitoring attribute Show monitoring attribute object
        • output object Required

          Additional properties are NOT allowed.

          Hide output attributes Show output attributes object
          • id string Required
          • name string Required
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
POST /api/fleet/agent_policies/outputs
curl \
 --request POST 'https://<KIBANA_URL>/api/fleet/agent_policies/outputs' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "kbn-xsrf: true" \
 --data '{"ids":["agent-policy-id-1","agent-policy-id-2"]}'
Request example
Get outputs for multiple agent policies
{
  "ids": [
    "agent-policy-id-1",
    "agent-policy-id-2"
  ]
}
Response examples (200)
Outputs associated with the requested agent policies
{
  "items": [
    {
      "agent_policy_id": "agent-policy-id-1",
      "data_output": {
        "id": "output-id-1",
        "name": "Default output",
        "type": "elasticsearch"
      },
      "monitoring_output": {
        "id": "output-id-1",
        "name": "Default output",
        "type": "elasticsearch"
      }
    }
  ]
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}